Bug 1605813 - python-oslo-policy: FTBFS in Fedora rawhide
Summary: python-oslo-policy: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-oslo-policy
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS 1585626
TreeView+ depends on / blocked
 
Reported: 2018-07-20 17:06 UTC by Mohan Boddu
Modified: 2019-04-29 21:54 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the python-oslo-policy failed to build from source (FTBFS) in Fedora rawhide. The current release fixes this issue.
Clone Of:
Environment:
Last Closed: 2018-08-21 08:48:09 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-20 17:07 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 17:07 UTC, Mohan Boddu
no flags Details
state.log (667 bytes, text/plain)
2018-07-20 17:07 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 17:06:58 UTC
python-oslo-policy failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28223295


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix python-oslo-policy at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
python-oslo-policy will be orphaned. Before branching of Fedora 30,
python-oslo-policy will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 17:07:08 UTC
Created attachment 1466546 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-20 17:07:11 UTC
Created attachment 1466547 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 17:07:14 UTC
Created attachment 1466548 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:09:54 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Igor Gnatenko 2018-08-21 08:48:09 UTC
There has been at least one successfull build after mass rebuild.

python-oslo-policy-1.33.2-1.fc29: https://koji.fedoraproject.org/koji/buildinfo?buildID=1137717


Note You need to log in before you can comment on or make changes to this bug.